<template>
  <div
    class="form-group"
  >
    <div
      class="form-input"
    >
      <input
        v-model.trim="input"
        :type="type"
        :name="name"
        class="w-100 form-input__input"
        :placeholder="placeholder"
        @input="$emit('input', $event.target.value)"
      />
    </div>
  </div>
</template>
<script>
export default {
  props: {
    value: {
      type: [String, Number],
      default: "",
    },
    placeholder: {
      type: String,
      default: "",
    },
    type: {
      type: String,
      default: "",
    },
    name: {
      type: String,
      default: "",
    }
  },
  data() {
    return {
      input: this.value
    };
  },
  watch: {
    value: {
      handler(bef) {
        this.input = bef;
      },
    },
  },
};
</script>

<style lang="scss" scoped>
.form-input {
  &__input {
    border: 1px solid #cccccc;
    border-radius: 3px;
    outline: none;
    font-size: 16px;
    line-height: 22px;
    padding: 5px 15px;
    color: #666666;
    &::placeholder {
      color: #cccccc;
    }
  }
}
</style>
